搜索论文
curl --request GET \
--url https://api.firecrawl.dev/v2/search/research/papers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firecrawl.dev/v2/search/research/papers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firecrawl.dev/v2/search/research/papers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"abstract": "We show that diffusion models can achieve image sample quality superior to the current state-of-the-art generative models...",
"ids": {
"arxiv": [
"2105.05233"
]
},
"paperId": "2014215642691656232",
"primaryId": "arxiv:2105.05233",
"score": 0.0163934,
"title": "Diffusion Models Beat GANs on Image Synthesis"
}
],
"success": true
}研究索引端点
搜索论文
GET
/
search
/
research
/
papers
搜索论文
可按主题、方法、基准、作者或类别搜索论文。结果包括规范
paperId、首选 primaryId、来源 ID、标题、摘要、评分,以及可选的排序信号。
有关工作流概览,请参见 Research Index 指南。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
用于搜索论文的自然语言查询。
Minimum string length:
1返回的排序论文的最大数量。
必填范围:
1 <= x <= 500作者子字符串过滤条件。可重复传入,或传入逗号分隔的值;所有过滤条件都必须匹配。
论文类别过滤条件。可重复传入,或传入逗号分隔的值;所有过滤条件都必须匹配。
created/updated 日期的包含下限。
created/updated 日期的包含上限。
⌘I

